Skip to main content
POST
/
analytics
/
funnel
/
events
Funnel Analysis
curl --request POST \
  --url https://api.nexus.usehardal.com/analytics/funnel/events \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "funnelEvents": [
    "<string>"
  ]
}
'

Authorizations

Authorization
string
header
required

Query Parameters

timeframe
enum<string>

Preset timeframe. Use custom with startDate and endDate, or omit when startDate/endDate are provided.

Available options:
today,
yesterday,
last7days,
last30days,
custom
startDate
string

Start date (YYYY-MM-DD)

endDate
string

End date (YYYY-MM-DD)

timezone
string

Timezone for date filtering (default: Europe/Istanbul)

targetSignalId
string

Target signal ID for an authorized mobile app or related signal in the same project

isCompareEnabled
default:false

Enable comparison range calculations (default: false)

compareStartDate
string

Comparison start date (YYYY-MM-DD)

compareEndDate
string

Comparison end date (YYYY-MM-DD)

Body

funnelEvents
string[]
required

List of funnel events

Maximum array length: 5
category
enum<string>

Category to group funnel data by (e.g., device, browser, country)

Available options:
browser,
os,
device,
country,
city,
source,
medium,
campaign
secondaryCategory
enum<string>

Secondary category to group funnel data by (e.g., device, browser, country)

Available options:
browser,
os,
device,
country,
city,
source,
medium,
campaign
hostname
string
browser
string
os
string
device
string
country
string
city
string
url
string
source
string
medium
string
campaign
string

Response

200

200 response